# Class Iterables

java.lang.Object
htsjdk.samtools.util.Iterables

public class Iterables extends Object

## Method Summary

Modifier and Type
Method
Description
`static <T> List<T>`
`slurp(Iterable<T> iterable)`
`static <T> List<T>`
`slurp(Iterator<T> iterator)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### slurp

public static <T> List<T> slurp(Iterator<T> iterator)

### slurp

public static <T> List<T> slurp(Iterable<T> iterable)